POST/autopay/transactions
AutoPay Transactions
This service allows listing the transactions of an AutoPay and filtering them according to operational and audit criteria. It is intended for administrative queries, reconciliation, and monitoring of the autopay lifecycle.
Request
- Name
auth- Type
- Authentication
- is Required
- REQUIRED
- Description
Structure containing the site authentication information generated according to the WSSE UsernameToken Profile 1.1. See more at Authentication.
- Name
id- Type
- string
- is Required
- REQUIRED
- Description
Unique identifier of the confirmed AutoPay registered in the notification record.
Example:2972c13d-6315-4da3-80d7-64c24eb232adFormat:uuidMax length:36Min length:36
- Name
filters- Type
- object
- is optional
- Description
Filtering criteria for the search.
- Name
pagination- Type
- Pagination
- is optional
- Description
Structure containing pagination information.
- Name
locale- Type
- string
- is optional
- Description
Response language.
Example:en_EN
Request
POST
/autopay/transactionscurl -X "POST" {{baseURl}}/autopay/transactions \
-H "Content-Type: application/json" \
-d '{
"auth": {
"login":"aabbccdd1234567890aabbccdd123456",
"tranKey":"ABC123example456trankey+789abc012def3456ABC=",
"nonce":"enQ4dXh3YWhkMWM=",
"seed":"2023-06-21T09:56:06-05:00"
},
"id": "328eb09a-363f-48a6-a16e-51c5a58b89ec",
"filters": {
"internalReference": "123",
"status": ["APPROVED", "REJECTED"],
"amount": [
"total": "10",
"currency": "USD"
],
"createdAt": {
"from": "2025-09-01",
"to": "2025-09-30"
}
},
"pagination": {
"perPage": 15,
"currentPage": 1
},
"locale": "es_ES"
}'
Response
Successful request
- Name
status- Type
- Status
- is Required
- REQUIRED
- Description
Structure used to define response statuses.
- Name
data- Type
- array
- is optional
- Description
List of autopay transactions that match the search criteria.
- Name
pagination- Type
- Pagination
- is optional
- Description
Structure containing pagination information.
Response
POST
/autopay/transactions{
"status": {
"status": "OK",
"reason": "00",
"message": "The request has been processed successfully",
"date":"2023-06-21T09:56:06-05:00"
},
"pagination": {
"total": 2,
"perPage": 15,
"currentPage": 1,
"lastPage": 1
},
"data": [
{
"status": {
"status": "APPROVED",
"reason": "00",
"message": "Approved",
"date": "2024-12-04T00:09:40-05:00"
},
"date": "2021-09-24T10:02:17-05:00",
"transactionDate": "2021-09-24T10:02:18-05:00",
"internalReference": 230364,
"reference": "800166551",
"paymentMethod": "ID_DN",
"franchise": "diners",
"franchiseName": "Diners",
"issuerName": "Diners",
"amount": {
"currency": "USD",
"total": 120
},
"conversion": {
"from": {
"currency": "USD",
"total": 120
},
"to": {
"currency": "USD",
"total": 120
},
"factor": 1
},
"authorization": "999999",
"receipt": "230364",
"type": "AUTH_ONLY",
"refunded": false,
"lastDigits": "0008",
"provider": "INTERDIN",
"discount": null,
"processorFields": {
"id": "cf3e77878a07d6e3ee667c60081dc39d",
"b24": "00"
},
"additional": {
"merchantCode": "1065152",
"terminalNumber": "00990099",
"credit": {
"code": 1,
"type": "03",
"groupCode": "X",
"installments": 3
},
"totalAmount": 120,
"interestAmount": 0,
"installmentAmount": 40,
"iceAmount": 0,
"batch": null,
"line": null,
"bin": "365454",
"expiration": "1122"
},
"notificationURL": "https://test.placetopay.ec/redirection/api/notify"
},
{
"status": {
"status": "APPROVED",
"reason": "00",
"message": "Approved",
"date": "2025-01-24T00:09:40-05:00"
},
"date": "2025-01-24T10:02:17-05:00",
"transactionDate": "2025-01-24T10:02:17-05:00",
"internalReference": 230389,
"reference": "800166551",
"paymentMethod": "ID_DN",
"franchise": "diners",
"franchiseName": "Diners",
"issuerName": "Diners",
"amount": {
"currency": "USD",
"total": 120
},
"conversion": {
"from": {
"currency": "USD",
"total": 120
},
"to": {
"currency": "USD",
"total": 120
},
"factor": 1
},
"authorization": "999999",
"receipt": "230364",
"type": "AUTH_ONLY",
"refunded": false,
"lastDigits": "0008",
"provider": "INTERDIN",
"discount": null,
"processorFields": {
"id": "cf3e77878a07d6e3ee667c60081dc39d",
"b24": "00"
},
"additional": {
"merchantCode": "1065152",
"terminalNumber": "00990099",
"credit": {
"code": 1,
"type": "03",
"groupCode": "X",
"installments": 3
},
"totalAmount": 120,
"interestAmount": 0,
"installmentAmount": 40,
"iceAmount": 0,
"batch": null,
"line": null,
"bin": "365454",
"expiration": "1122"
},
"notificationURL": "https://test.placetopay.ec/redirection/api/notify"
}
]
}